Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration
Class PropertyBasedConfiguration

    java.lang.Object
      org.jbehave.core.configuration.Configuration
          org.jbehave.core.configuration.MostUsefulConfiguration
              org.jbehave.core.configuration.PropertyBasedConfiguration

    public class PropertyBasedConfiguration

extends MostUsefulConfiguration

PropertyBasedConfiguration is backed by MostUsefulConfiguration as default, but has different behaviour if certain system properties are set:

- `FAIL_ON_PENDING`: uses `FailingUponPendingStep`
- `SILENT_SUCCESS`: uses `SilentSuccessFilter` decorator

Field Summary
`static String` | `FAIL_ON_PENDING`
`static String` | `SILENT_SUCCESS`

Constructor Summary
`PropertyBasedConfiguration()`

Method Summary
`StoryReporter` | `defaultStoryReporter()` Deprecated. Use StoryReporterBuilder()
`PendingStepStrategy` | `pendingStepStrategy()` If the system property `FAIL_ON_PENDING` is set, returns `FailingUponPendingStep` otherwise returns the default.

Methods inherited from class org.jbehave.core.configuration.Configuration
`doDryRun, dryRun, failureStrategy, keywords, parameterControls, parameterConverters, paranamer, pathCalculator, stepCollector, stepdocReporter, stepFinder, stepMonitor, stepPatternParser, storyControls, storyLoader, storyParser, storyPathResolver, storyReporter, storyReporterBuilder, useDefaultStoryReporter, useFailureStrategy, useKeywords, useParameterControls, useParameterConverters, useParanamer, usePathCalculator, usePendingStepStrategy, useStepCollector, useStepdocReporter, useStepFinder, useStepMonitor, useStepPatternParser, useStoryControls, useStoryLoader, useStoryParser, useStoryPathResolver, useStoryReporterBuilder, useViewGenerator, viewGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FAIL_ON_PENDING

    public static final String FAIL_ON_PENDING

See Also:
  Constant Field Values

### SILENT_SUCCESS

    public static final String SILENT_SUCCESS

See Also:
  Constant Field Values

Constructor Detail

### PropertyBasedConfiguration

    public PropertyBasedConfiguration()

Method Detail

### defaultStoryReporter

    public StoryReporter defaultStoryReporter()

  Deprecated. Use StoryReporterBuilder()

  If the system property `SILENT_SUCCESS` is set, uses a `SilentSuccessFilter` to decorate the default StoryReporter.

  Setting `SILENT_SUCCESS` will only show the steps for all stories if the stories fail.

  Overrides:
    `defaultStoryReporter` in class `Configuration`

### pendingStepStrategy

    public PendingStepStrategy pendingStepStrategy()

  If the system property `FAIL_ON_PENDING` is set, returns `FailingUponPendingStep` otherwise returns the default.

  Setting `FAIL_ON_PENDING` will cause pending steps to fail story execution, so you can see if any steps don't match or are still to be implemented.

  Overrides:
    `pendingStepStrategy` in class `Configuration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.